Bug 763553 - (GLUSTER-1821) peer probe hangs for 2 minutes if glusterd is not running on the remote host
peer probe hangs for 2 minutes if glusterd is not running on the remote host
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
All Linux
low Severity low
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-05 17:07 EDT by Vikas Gorur
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vikas Gorur 2010-10-05 17:07:48 EDT
[root@vikas-sb glusterfs]# date; /opt/glusterfs/git/sbin/gluster peer probe brick5; date
Tue Oct  5 14:00:06 PDT 2010
Probe failed
Tue Oct  5 14:02:06 PDT 2010

Most users when using this command would not wait two minutes and would think that the CLI is hung. CLI should detect that glusterd isn't running remotely and report the error immediately.

(showmount, which uses the same RPC mechanisms, for example immediately errors out if there is no NFS server running).
Comment 1 Vijay Bellur 2010-10-07 11:44:44 EDT
Not a blocker as there exists a workaround.
Comment 2 Pranith Kumar K 2010-11-14 19:07:17 EST
hi Amar,
      Please re-assign this to me once rpc has the infra to fix this.

Pranith
Comment 3 Amar Tumballi 2011-09-07 11:05:15 EDT
CHANGE: http://review.gluster.com/342 (so 'gluster peer probe' command doesn't
hang till timeout (120s),) merged in master by Anand Avati (avati@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.